.testimonials__section {
  position: relative;
  width: 100%;
  background: url("../../img/backgrounds/canyon.jpg") center;
  background-size: cover;
  padding-top: $section-big-margin;
  z-index: 0;

  &::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgb(74,59,78);
    background: linear-gradient(0deg, rgba(74,59,78,1) 10%, rgba(74,59,78,0.8) 100%);
    z-index: -1;
  }

  .testimonials__title {
    font-size: $h3-font-size;
    color: $secondary-color;
    text-align: center;
    margin-bottom: $section-big-margin;

    @media screen and (max-width: $width-medium) {
      font-size: $h4-font-size;
    }
  }
}

.testimonials__items {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  gap: $gap-big-padding;

  @media screen and (max-width: $width-desktop) {
    grid-template-columns: 1fr 1fr;
    gap: $gap-mid-padding;
  }

  @media screen and (max-width: $width-medium) {
    display: flex;
    flex-direction: column;
  }

  .testimonials__item {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: $gap-padding;

    img {
      width: auto;
      height: 40px;
      object-fit: cover;
    }

    .testimonials__quote {
      text-align: center;
      font-style: italic;
      color: $secondary-color;
      opacity: .6;
    }
  }
}

.testimonials__description {
  display: flex;
  justify-content: center;
  width: 100%;
  padding: $section-big-margin $gap-mid-padding;
  background: rgb(74,59,78);

  p {
    text-align: center;
    line-height: 160%;
    font-size: $smaller-font-size;
    color: $secondary-color;
    max-width: 880px;
    opacity: .6;
    padding-bottom: $gap-padding;
    border-bottom: 1px solid $secondary-color;
  }
}